# Re-export all types from individual files
from .enums import (
    JobStatus,
    JobExecutionStatus,
    JobTaskType,
    SpecificDataExtractionType,
    StructuredDataExtractionAttribute,
    SpecificDataExtractionOutputFormat,
    WebScreenCaptureFormat,
    PdfPaperFormat,
    PdfOrientation,
    JobSchedulePolicy,
    JobNavigationType,
    PuppetDeviceType,
    PuppetRegion,
    WebDataSelectorType
)

from .job_schedule_types import (
    JobSchedule
)

from .job_navigation_types import (
    JobNavigation
)

from .job_types import (
    Job,
    JobDetail,
    JobResult,
    WebAgentConfig
)

from .job_task_types import (
    JobTask,
    JobTaskOutput,
    SpecificDataExtractionOptions,
    WebScreenCaptureOptions,
    WebpageAsMarkdownOptions,
    StructuredDataExtractionOptions,
    StructuredDataExtractionParameter,
    FormDataExtractionOptions,
    TableDataExtractionOptions,
    PresetDataExtractionOptions,
    CustomDataExtractionOptions,
)

from .client_response_types import (
    BaseResponse,
    GetJobResponse,
    GetJobsResponse,
    GetJobResultResponse,
    JobExecutionResponse
)

# Optional: Define __all__ to explicitly list what should be exported
__all__ = [
    "JobStatus",
    "JobExecutionStatus",
    "JobTaskType",
    "SpecificDataExtractionType",
    "StructuredDataExtractionAttribute",
    "SpecificDataExtractionOutputFormat",
    "WebScreenCaptureFormat",
    "PdfPaperFormat",
    "PdfOrientation",
    "JobSchedulePolicy",
    "JobNavigationType",
    "PuppetDeviceType",
    "PuppetRegion",
    "WebDataSelectorType",
    "Job",
    "JobSchedule",
    "JobNavigation",
    "JobDetail",
    "JobResult",
    "JobTask",
    "JobTaskOutput",
    "SpecificDataExtractionOptions",
    "WebScreenCaptureOptions",
    "WebpageAsMarkdownOptions",
    "StructuredDataExtractionOptions",
    "StructuredDataExtractionParameter",
    "FormDataExtractionOptions",
    "TableDataExtractionOptions",
    "PresetDataExtractionOptions",
    "CustomDataExtractionOptions",
    "BaseResponse",
    "GetJobResponse",
    "GetJobsResponse",
    "GetJobResultResponse",
    "JobExecutionResponse",
    "WebAgentConfig"
]